#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
services:
  _defaults:
    autowire: true
    autoconfigure: true

  QSL\BackInStock\Core\Task\SendNotifications:
    tags:
      - {name: kernel.event_listener, event: xcart.cronjob, method: handleTask}

  QSL\BackInStock\EntityCallback\ProductCallback:
    tags:
      - {name: doctrine.orm.entity_listener, event: preUpdate, entity: XLite\Model\Product, priority: 500}

  QSL\BackInStock\EntityCallback\RecordPriceCallback:
    tags:
      - {name: doctrine.orm.entity_listener, event: prePersist, entity: QSL\BackInStock\Model\RecordPrice, priority: 500}

  QSL\BackInStock\EntityCallback\RecordCallback:
    tags:
      - {name: doctrine.orm.entity_listener, event: prePersist, entity: QSL\BackInStock\Model\Record, priority: 500}
